# SpaceConsole(Space)

base classes — `bpy_struct`, `Space`

class `bpy.types.``SpaceConsole`(Space)

  Interactive python console

  `font_size`

    Font size to use for displaying the text

    Type: | int in [8, 32], default 0

  `history`

    Command history

    Type: | `bpy_prop_collection` of `ConsoleLine`, (readonly)

  `language`

    Command line prompt language

    Type: | string, default “”, (never None)

  `prompt`

    Command line prompt

    Type: | string, default “”, (never None)

  `scrollback`

    Command output

    Type: | `bpy_prop_collection` of `ConsoleLine`, (readonly)

  `select_end`

    Type: | int in [0, inf], default 0

  `select_start`

    Type: | int in [0, inf], default 0

  `draw_handler_add`()

    Undocumented

  `draw_handler_remove`()

    Undocumented

Inherited Properties

`bpy_struct.id_data` `Space.type` | `Space.show_locked_time`

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`